Depending on this object determine to enable or disable the backpressure function when the port is working in half duplex mode.
Sources for this description
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.171.11.24.3.2.1.7
Depending on this object determine to enable or disable the backpressure function when the port is working in half duplex mode.
Identification
{1 3 6 1 4 1 171 11 24 3 2 1 7}
| Value | Name |
|---|---|
| 1 | other |
| 2 | disabled |
| 3 | enabled |
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In DES3225G-MIB, the row index consists of these components in order:
swPortCtrlModuleIndex (INTEGER): one numeric subidentifier for the non-negative value.swPortCtrlPortIndex (INTEGER): one numeric subidentifier for the non-negative value.An instance has the form .1.3.6.1.4.1.171.11.24.3.2.1.7.<swPortCtrlModuleIndex>.<swPortCtrlPortIndex>. Use values present on the device and permitted by its MIB. Other definitions can differ.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.171.11.24.3.2.1.7
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
swPortCtrlBackPressState OBJECT-TYPE
SYNTAX INTEGER {
other(1),
disabled(2),
enabled(3)
}
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Depending on this object determine to enable or disable the
backpressure function when the port is working in half duplex mode."
::= { swPortCtrlEntry 7 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Depending on this object determine to enable or disable the backpressure function when the port is working in half duplex mode.
D-Link official switch MIBsD-Link MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: swPortCtrlBackPressState
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"swPortCtrlBackPressState",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"other",
"(",
"1",
")",
",",
"disabled",
"(",
"2",
")",
",",
"enabled",
"(",
"3",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Depending on this object determine to enable or disable the backpressure function when the port is working in half duplex mode.\"",
"::=",
"{",
"swPortCtrlEntry",
"7",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"other",
1
],
[
"disabled",
2
],
[
"enabled",
3
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Depending on this object determine to enable or disable the backpressure function when the port is working in half duplex mode."
],
null,
null,
null,
null
]
}Module: DES3225G-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'TimeTicks', 'Counter'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Vendor MIB copy from the Observium Community archive. D-Link support.
Module: DES3225G-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'TimeTicks', 'Counter'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.171.11.24.3.2.1.1 | swPortCtrlModuleIndex | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.2 | swPortCtrlPortIndex | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.3 | swPortCtrlAdminState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.4 | swPortCtrlLinkStatusAlarmState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.5 | swPortCtrlNwayState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.6 | swPortCtrlFlowCtrlState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.8 | swPortCtrlLockState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.9 | swPortCtrlPriority | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.10 | swPortCtrlStpState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.11 | swPortCtrlHOLState | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.12 | swPortCtrlBroadcastRisingThr | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.13 | swPortCtrlBroadcastFallingThr | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.14 | swPortCtrlBroadcastRisingAct | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.15 | swPortCtrlBroadcastFallingAct | 0 | 0 | |
| 1.3.6.1.4.1.171.11.24.3.2.1.16 | swPortCtrlCleanAllStatisticCounter | 0 | 0 |